PHPExcel_Writer_Excel2007_StringTable

category | PHPExcel
package | PHPExcel_Writer_Excel2007
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Set parent IWriter object

    __construct(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::__construct()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Create worksheet stringtable

    createStringTable(\PHPExcel_Worksheet $pSheet, string[] $pExistingTable) : string[]

### Parameters

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

#### $pExistingTable

`string[]`

Existing table to eventually merge with

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string[]`String table for worksheet

## Flip string table (for index searching)

    flipStringTable(array $stringTable) : array

### Parameters

#### $stringTable

`array`

Stringtable

### Returns

`array`

## Get parent IWriter object

    getParentWriter() : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Writer_IWriter`

## Set parent IWriter object

    setParentWriter(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Rich Text

    writeRichText(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_RichText $pRichText, string $prefix)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pRichText

`\PHPExcel_RichText`

Rich text

#### $prefix

`string`

Optional Namespace prefix

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Rich Text

    writeRichTextForCharts(\PHPExcel_Shared_XMLWriter $objWriter, string | \PHPExcel_RichText $pRichText, string $prefix)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pRichText

`string``\PHPExcel_RichText`

text string or Rich text

#### $prefix

`string`

Optional Namespace prefix

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write string table to XML format

    writeStringTable(string[] $pStringTable) : string

### Parameters

#### $pStringTable

`string[]`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

### Properties

##

    $_parentWriter : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::$$_parentWriter